API ReferenceCollections
List project collections
List project collections - Rensei REST API operation reference.
GET
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
projectId*stringLength
1 <= length <= 128cursor?stringLength
length <= 512limit?integerRange
1 <= value <= 100Default
100Success
application/json- response
items*array<>nextCursor*string|nullcurl -X GET 'https://app.rensei.ai/api/collections?projectId=string'Example Response
{ "items": [ { "indexEmbed": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "orgId": "string", "projectId": "string", "name": "string", "keyField": "string", "retentionClass": "string", "agentWrite": "none", "schemaVersion": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "schema": { "property1": "string", "property2": "string" } } ], "nextCursor": "string"}Restore a workflow version while validating its inbound webhook mapping.
Restore a workflow version while validating its inbound webhook mapping. - Rensei REST API operation reference.
Create a typed collection as an org admin
Create a typed collection as an org admin - Rensei REST API operation reference.